Subject: bug#5679: Emacs 23.1.93 pretest

From: <[email-masked]>
Date: Tue, 09 Mar 2010 12:57:16 +0300

YAMAMOTO Mitsuharu <[email-masked]> writes:

>>>>>> On Thu, 04 Mar 2010 22:22:50 +0300, <[email-masked]> said:
>
>> Yeah, it's really strange. I see it on 2 different computers running
>> Debian stable and Debian testing. On both emacs23 gives this effect.
>> And the fact that emacs22 renders fine means that it's probably not
>> font issue, but maybe a problem of rendering library? What
>> distribution do you use?
>
> I couldn't reproduce it on Ubuntu 9.10.
>
>> In addition I've just checked that GNOME itself renders this font
>> fine both in its font selection dialog and in gnome-terminal, so the
>> only place where I can see the breakage is emacs run in X. Maybe to
>> compile emacs with some other options to isolate the cause of the
>> problem?
>
> It would be worth testing whether the problem is specific to a
> particular font backend or not.  What happens if you replicate the
> steps on a frame created with (make-frame '((font-backend . (x)))) ?

It looks nice in the new frame, while still broken in the original frame.

>
> Also, could you try the following patch to see if it changes the
> situation?  It is not meant to be a fix, but just for an experiment.

I'll check it a little bit later.

-- Sergei.